ATOI(3)

NAME
atoi, atol, atoll, atoq - convert a string to an integer

SYNOPSIS
#include <stdlib.h>

int atoi(const char *nptr);
long atol(const char *nptr);
long long atoll(const char *nptr);
long long atoq(const char *nptr);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

atoll():
    _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE >= 600 || _ISOC99_SOURCE || _POSIX_C_SOURCE >= 200112L;
    or cc -std=c99

DESCRIPTION
The atoi() function converts the initial portion of the string pointed to by nptr to int. The behavior is the same as

strtol(nptr, (char **) NULL, 10);

except that atoi() does not detect errors.

The atol() and atoll() functions behave the same as atoi(), except that they convert the initial portion of the string to their return type of long or long long. atoq() is an obsolete name for atoll().

RETURN VALUE
The converted value.

CONFORMING TO
SVr4, POSIX.1-2001, 4.3BSD, C99. C89 and POSIX.1-1996 include the functions atoi() and atol() only. atoq() is a GNU extension.

NOTES
The nonstandard atoq() function is not present in libc 4.6.27 or glibc 2, but is present in libc5 and libc 4.7 (though only as an inline function in <stdlib.h> until libc 5.4.44). The atoll() function is present in glibc 2 since version 2.0.2, but not in libc4 or libc5.

SEE ALSO
atof(3), strtod(3), strtol(3), strtoul(3)

COLOPHON
This page is part of release 3.39 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.